Bug 76330 - The Domain Name Service GUI stops working and does not reflect zone file values.
The Domain Name Service GUI stops working and does not reflect zone file values.
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-bind (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2002-10-19 23:52 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-31 14:06:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-19 23:52:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The Domain Name Service GUI just stopped working, in that it stopped saving any
changes to the zone files.  I manually modified  the files (when it stopped
saving) and they are picked up by named, but not by the  Domain Name Service
GUI.  i even tried rebooting multiple times.  

There was no error or core dump, and I cannot seem to reset the program to
re-read the zone files for configuration.  

Any workaround to force this progam to re-read the zone files woudl be

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Basically enter several DNS entries all at once, without saving in between.
2.Try to save. It will not save the all of the changes.
3.Once it stops saving the changes, it is impossible to get it working properly


Actual Results:  No longer creates/updates zone files.

Expected Results:  Should have saved and read zone files.

Additional info:

The zone files ARE correct (the ones I made by hand), I know becuase I just
copied one that was successfully created and made a few changes.  Plus named
reads and works as expected based upon the info in the zone files.
Comment 1 Need Real Name 2002-10-20 00:30:36 EDT
I found a workaround.  Since the Domain Name Service GUI ussually reflects some
of the previously entered changes (but not any new additional ones).  It can be
reset (to start saving cheanges again) by:

1) Bringing up the DNS GUI.
2) Move the etc/named.conf to etc/named.old (just in case).
3) Move the var/named/<NAME>.zone to var/named/<NAME>.old for each zone file
that stops getting updated. (again, just in case).
4) Click on Apply in the DNS GUI menu.

Now the GUI will re-write the named.conf file and any unaffected zone files. 
The only problem is that the user must re-enter all the zone info (from the
moved/bad zone files) through the GUI.

The positive affect is that the DNS GUI will again start working and will save
all future changes (unless the problem occurs again....so periodic backups are

Comment 2 Daniel Walsh 2002-11-01 11:49:08 EST
You are not supposed to edit the bindconf files by hand.  Data is stored in a
separate xml file.

Note You need to log in before you can comment on or make changes to this bug.